Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.strukturen
Class Baum<Typ>

    java.lang.Object
      sum.strukturen.Baum<Typ>

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Suchbaum

    public class Baum<Typ>

extends Object
implements Serializable

Die Klasse Baum ist ein Binärbaum nach der Schnittstelle aus dem Buch "Informatik mit Java".
Er kann als Baum mit einem Inhaltstyp deklariert werden. Wird dieser weggelassen, liefert die Anfrage inhalt ein Object und es wird Typkonversion nötig.

Version:
  7.3 vom 11.10.2011
Author:
  Bernard Schriek
See Also:
  Serialized Form

Field Summary
`(package private) static long` | `serialVersionUID`

Constructor Summary
`Baum(Typ pInhalt)` Ein neuer Baum mit leeren Teilbäumen wird erzeugt
`Baum(Typ pInhalt, Baum<Typ> pLinks, Baum<Typ> pRechts)` Ein neuer Baum mit zwei Teilbäumen wird erzeugt

Method Summary
`Typ` | `inhalt()` Der Inhalt der Wurzel wird zurückgegeben
`boolean` | `istBlatt()` Wenn der Baum keine Teilbäume hat, wird true zurückgegeben
`boolean` | `istLeer()` Wenn die Wurzel keinen Inhalt besitzt, wird true zurückgegeben
`boolean` | `istWurzel()` Wenn der Baum keinen Vater hat, wird true zurückgegeben
`Baum<Typ>` | `linkerTeilbaum()` Der linke Teilbum wird zurückgegeben
`Baum<Typ>` | `rechterTeilbaum()` Der rechte Teilbum wird zurückgegeben
`void` | `setzeInhalt(Typ pInhalt)` Der Inhalt der Wurzel wird geändert
`void` | `setzeLinkenTeilbaum(Baum<Typ> pBaum)` Der rechte Teilbaum wird verändert
`void` | `setzeRechtenTeilbaum(Baum<Typ> pBaum)` Der rechte Teilbaum wird verändert
`void` | `setzeVater(Baum<Typ> pBaum)` Der Vater des Baums wird geändert
`boolean` | `teilbaeumeLeer()` Wenn die Teilbäume leer sind, wird true zurückgegeben
`String` | `toString()` Eine Stringrepräsentation des Baum mit seinen Unterbäumen wird zurückgegeben
`Baum<Typ>` | `vater()` Der Vater des Baums wird zurückgegeben

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### Baum

    public Baum(Typ pInhalt)

  Ein neuer Baum mit leeren Teilbäumen wird erzeugt

  Parameters:
    `pInhalt` - das Objekt, das der Inhalt der Wurzel wird

### Baum

    public Baum(Typ pInhalt,
                Baum<Typ> pLinks,
                Baum<Typ> pRechts)

  Ein neuer Baum mit zwei Teilbäumen wird erzeugt

  Parameters:
    `pInhalt` - das Objekt, das der Inhalt der Wurzel wird
    `pLinks` - der linke Teilbaum
    `pRechts` - der rechte Teilbaum

Method Detail

### inhalt

    public Typ inhalt()

  Der Inhalt der Wurzel wird zurückgegeben

  Returns:
    der Inhalt der Wurzel

### istBlatt

    public boolean istBlatt()

  Wenn der Baum keine Teilbäume hat, wird true zurückgegeben

  Returns:
    ob keine Teilbäume vorhanden sind

### istLeer

    public boolean istLeer()

  Wenn die Wurzel keinen Inhalt besitzt, wird true zurückgegeben

  Returns:
    ob der Inhalt der Wurzel leer ist

### istWurzel

    public boolean istWurzel()

  Wenn der Baum keinen Vater hat, wird true zurückgegeben

  Returns:
    ob kein Vater vorhanden ist

### linkerTeilbaum

    public Baum<Typ> linkerTeilbaum()

  Der linke Teilbum wird zurückgegeben

  Returns:
    den linken Teilbaum

### rechterTeilbaum

    public Baum<Typ> rechterTeilbaum()

  Der rechte Teilbum wird zurückgegeben

  Returns:
    den rechten Teilbaum

### setzeInhalt

    public void setzeInhalt(Typ pInhalt)

  Der Inhalt der Wurzel wird geändert

  Parameters:
    `pInhalt` - der neue Inhalt der Wurzel

### setzeLinkenTeilbaum

    public void setzeLinkenTeilbaum(Baum<Typ> pBaum)

  Der rechte Teilbaum wird verändert

  Parameters:
    `pBaum` - der neue rechte Teilbaum

### setzeRechtenTeilbaum

    public void setzeRechtenTeilbaum(Baum<Typ> pBaum)

  Der rechte Teilbaum wird verändert

  Parameters:
    `pBaum` - der neue rechte Teilbaum

### setzeVater

    public void setzeVater(Baum<Typ> pBaum)

  Der Vater des Baums wird geändert

  Parameters:
    `pBaum` - der neue Vater

### teilbaeumeLeer

    public boolean teilbaeumeLeer()

  Wenn die Teilbäume leer sind, wird true zurückgegeben

  Returns:
    ob die Teilbäe leer sind

### toString

    public String toString()

  Eine Stringrepräsentation des Baum mit seinen Unterbäumen wird zurückgegeben

  Overrides:
    `toString` in class `Object`
  Returns:
    einen String, der den Baum in mehreren Zeilen darstellt

### vater

    public Baum<Typ> vater()

  Der Vater des Baums wird zurückgegeben

  Returns:
    den Vater des Baums

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD